#include "QMessageBox"
#include "ui_test.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	QWidget *widget = new QWidget;
	Ui::Form ui;
	ui.setupUi(widget);
	
	QPushButton* ui_findButton = qFindChild<QPushButton*>(widget, "pushButton");

	if(ui_findButton!=NULL){
		widget->connect(ui_findButton, SIGNAL(clicked()), 
		        qApp, SLOT(closeAllWindows()));
	} else {
		QMessageBox::information (NULL,"Nothing","Nothing pushButton.");
	}
	
	widget->show();
	return app.exec();
}
