#include "QMessageBox"
#include "mainwindow.h"
#include "QFile"
#include "QtUiTools/QUiLoader"

MainWindow::MainWindow()
{
	QUiLoader oloader;

	QFile ofile("test.ui");
	ofile.open(QFile::ReadOnly);
	
	QWidget *widget = oloader.load(&ofile, this);
	ofile.close();

	QPushButton* ui_findButton = qFindChild<QPushButton*>(widget, "pushButton");

	if(ui_findButton!=NULL){
		connect(ui_findButton, SIGNAL(clicked()), 
		        this, SLOT(on_pushButton_clicked()));
	} else {
		QMessageBox::information (NULL,"Nothing","Nothing pushButton.");
	}

    setWindowTitle(tr("SampleWindow"));

}

void MainWindow::on_pushButton_clicked()
{
	QMessageBox::information (NULL,"Click","Click Click!!");
}
